<h1 align="center">create-fullstack-app</h1>

<p align="center">
  <strong>Create Fullstack TypeScript application with ease.</strong>
</p>

<p align="center">
  <a href="https://gitmoji.carloscuesta.me/"><img src="https://camo.githubusercontent.com/2a4924a23bd9ef18afe793f4999b1b9ec474e48f/68747470733a2f2f696d672e736869656c64732e696f2f62616467652f6769746d6f6a692d253230f09f989c253230f09f988d2d4646444436372e7376673f7374796c653d666c61742d737175617265" alt="Gitmoji"/></a>
  <a href="./LICENSE"><img src="https://img.shields.io/badge/licence-MIT-blue.svg" alt="Licence MIT"/></a>
  <img src="https://img.shields.io/github/repo-size/Divlo/create-fullstack-app" alt="Repo Size"/>
  <a href="https://github.com/Divlo/create-fullstack-app/commits/master"><img src="https://img.shields.io/github/commit-activity/m/Divlo/create-fullstack-app" alt="Commit Activity"/></a>
  <a href="https://github.com/Divlo/create-fullstack-app/graphs/contributors"><img src="https://img.shields.io/github/contributors/Divlo/create-fullstack-app" alt="Contributors"/></a>
  <img src="https://img.shields.io/github/stars/Divlo/create-fullstack-app?style=social" alt="Stars"/>
  <br/> <br/>
  <a href="https://github.com/GoogleChrome/lighthouse"><img width="650px" src="https://raw.githubusercontent.com/Divlo/create-fullstack-app/master/.github/lighthouse_google-chrome.gif" alt="Google Chrome Lighthouse" /></a>
</p>

## 📜 About

Create your fullstack application:
```sh
npx create-fullstack-app my-app
```
Then you will need to answer some questions and you'll be ready to code your new project.

By default the icons are the TypeScript logo in various sizes located in the folder [/website/public/images/icons](./template/website/public/images/icons).

You can easily generate you own icons of various sizes thanks to [Web App Manifest Generator](https://app-manifest.firebaseapp.com/).

## 🚀 Features

- 💯 Maximize Lighthouse Google Chrome score
- ✨ Follow best practices (at least try 😅)
- ⚡️ Easy to use

## 📦 Libraries (& Frameworks) 

### Website (front-end)
- React with Next.js (the react framework for server-side rendering)
- Axios and Context API (integrated with React) for state management

### API (back-end)
- Node.js with Express.js (Fast, unopinionated, minimalist web framework)
- Sequelize (a promise-based Node.js ORM for MySQL and others database dialect)

## 📄 License

[MIT](./LICENSE)